### Method

# Gimp Resource get_name

since: 3.0

#### Declaration [src]

    gchar*
    gimp_resource_get_name (
      GimpResource* resource
    )

#### Description [src]

Returns the resource’s name.

This procedure returns the resource’s name.

Available since: 3.0

#### Return value

Type: `gchar*`

The resource’s name. The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.